Zophar's Message Domain

Zophar's Message Domain (http://www.zophar.net/forums/index.php)
-   General Emulation (http://www.zophar.net/forums/forumdisplay.php?f=5)
-   -   What's the problem to the FCEUX emulator? (http://www.zophar.net/forums/showthread.php?t=14844)

tduyduc 03-21-2011 11:42 AM

What's the problem to the FCEUX emulator?
 
I'm using the FCEUX with version 2.1.4a. When I open it, another window pops out and says "fceux.exe has encountered a problem and needs to close. We are sorry for the inconvenience."
Many computers encountered that. Some other computers can run correctly.
Show me what was the problem to this computer. Which program is needed to install?

Reaper man 03-21-2011 12:53 PM

I have never had an issue with it, so I do not know. I will probably ask the developers tomorrow when they are awake. It is possibly a common issue.

Reaper man 03-21-2011 10:24 PM

Try to install all of these in this link: http://pastebin.com/HhJ2xHvE

tduyduc 03-22-2011 06:25 AM

Quote:

Originally Posted by Reaper man (Post 102657)
Try to install all of these in this link: http://pastebin.com/HhJ2xHvE

"Install all" or just one of them? My, and others' computers are using Windows XP, Service Pack 2 and they got installed a Visual C++ 2005 x86 Runtime package. But the issue won't be solved.
Please find an appropriate version of Visual C++ Runtime for my computer and others' as well.

Reaper man 03-22-2011 10:41 AM

according to the dev, all of them

tduyduc 03-22-2011 02:35 PM

Quote:

Originally Posted by Reaper man (Post 102660)
according to the dev, all of them

All of them? Why must I install all versions of Visual C Runtime at the same time? I have installed one of them!
I think, however, the computers, which encountered errors, had an old version of DirectX. Just install a newer version, I think. But I haven't tried yet.
Probably the developers should have a required version of DirectX accompanied to the package in next versions, if my opinion is right.

Reaper man 03-22-2011 08:35 PM

Well, update directx and see if that solves the problem, otherwise, do what I said before.

tduyduc 03-26-2011 02:08 PM

Yes. It works when I have installed DirectX 9.0c (but I tried for only 1 computer). Please ask developers to attach this plugin to new FCEUX packages.

Reaper man 03-27-2011 07:15 AM

They shouldn't have to. DirectX is a common windows library that should be updated on all machines, and is usually always installed with the latest version. What you're suggesting is dumb. :|

tduyduc 03-27-2011 07:53 AM

Quote:

Originally Posted by Reaper man (Post 102697)
They shouldn't have to. DirectX is a common windows library that should be updated on all machines, and is usually always installed with the latest version. What you're suggesting is dumb. :|

Just like the WhineCube emulator. It has a "d3dx9_*.dll" plug-in. Have developers mentioned the DirectX version in the system requirements? If they shouldn't attach a plug-in, they should have a DirectX download link in their website in order to run correctly.


All times are GMT. The time now is 03:07 PM.

Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.